import XCTest
@testable import Atlas

class AtlasTests: XCTestCase {
  func testAustria() {
    XCTAssertEqual(Country(code: "AT").emojiFlag, "🇦🇹")
  }

  func testTurkey() {
    XCTAssertEqual(Country(code: "TR").emojiFlag, "🇹🇷")
  }

  func testUnitedStates() {
    XCTAssertEqual(Country(code: "US").emojiFlag, "🇺🇸")
  }
    
  func testAll() {
    XCTAssertEqual(Country.all.count, Locale.isoRegionCodes.count)
  }
}

extension AtlasTests {
  static var allTests : [(String, (AtlasTests) -> () throws -> Void)] {
    return [
      ("testAustria", testAustria),
      ("testTurkey", testTurkey),
      ("testUnitedStates", testUnitedStates)
    ]
  }
}
